Loading...
Searching...
No Matches
BALL::QSAR::LatentVariableModel Class Reference

`#include <BALL/QSAR/latentVariableModel.h>`

Inheritance diagram for BALL::QSAR::LatentVariableModel:

## Public Member Functions

| LatentVariableModel ()
const Eigen::MatrixXd * | getLatentVariables ()
const Eigen::MatrixXd * | getWeights ()
const Eigen::MatrixXd * | getLoadings ()

## Protected Attributes

Eigen::MatrixXd | latent_variables_
Eigen::MatrixXd | loadings_
Eigen::MatrixXd | weights_

## Friends

class | RegressionValidation

## Detailed Description

Interface-class for all latente variable models (PLS, PCR, ...). It is used to store and access the latente variables (PLS/PCR components), the loading matrix and the weight matrix in the same way for all such models.

Definition at line 19 of file latentVariableModel.h.

## Constructor & Destructor Documentation

## LatentVariableModel()

BALL::QSAR::LatentVariableModel::LatentVariableModel | ( |  | ) |

## Member Function Documentation

## getLatentVariables()

const Eigen::MatrixXd * BALL::QSAR::LatentVariableModel::getLatentVariables | ( |  | ) |

Return the latent variable matrix as computed by the last training.
It contains one loading vector in each column. Each loading vector contains the importance of each feature for a latente variable.

## getLoadings()

const Eigen::MatrixXd * BALL::QSAR::LatentVariableModel::getLoadings | ( |  | ) |

Return the loading matrix as computed by the last training.
It contains one loading vector in each column. Each loading vector contains the importance of each feature for a latente variable.

## getWeights()

const Eigen::MatrixXd * BALL::QSAR::LatentVariableModel::getWeights | ( |  | ) |

Return the weights matrix as computed by the last training.
It contains one weight vector in each column. Each weight vector contains the importance of each latente variable for modelling the result.

## Friends And Related Symbol Documentation

## RegressionValidation

friend class RegressionValidation

friend

Definition at line 47 of file latentVariableModel.h.

## Member Data Documentation

## latent_variables_

Eigen::MatrixXd BALL::QSAR::LatentVariableModel::latent_variables_

protected

The loading-matrix which contains one loading vector in each column. Each loading vector contains the importance of each feature for a latente variable.

Definition at line 39 of file latentVariableModel.h.

## loadings_

Eigen::MatrixXd BALL::QSAR::LatentVariableModel::loadings_

protected

The loading-matrix which contains one loading vector in each column. Each loading vector contains the importance of each feature for a latente variable.

Definition at line 42 of file latentVariableModel.h.

## weights_

Eigen::MatrixXd BALL::QSAR::LatentVariableModel::weights_

protected

The weights-matrix which contains one weight vector in each column. Each weight vector contains the importance of each latente variable for modelling the result.

Definition at line 45 of file latentVariableModel.h.